Subject: They left the door open

From: <[email-masked]>
Date: Wed, 17 Oct 2007 06:54:43 +0800

Exit Only Inc. Hits US Used Car Market!

EXIT ONLY INC
EXTO
$ 0.43

Market testing for EXTO's new Online used car market was overwhelming in
Canada. We can only imagine how big the response will be when comparing
the great results in Canada to a market as large as the US. No hidden
costs and no posting fees, is drawing sellers to the site. Today's news
announced the US version is ready ahead of schedule and set to be
released. Don't waste time, once the new site hits the market, it will
take off. Move on EXTO ASAP!